let players = [];
let game = document.querySelector(".Game");
let ws = new WebSocket(location.origin.replace(/^http/,"ws"));

document.onmousemove =(e) => {
	let x = e.clientX - window.innerWidth/2;
	let y = e.clientY - window.innerHeight/2;
	let direction = Math.atan2(y,x);
	player.direction = direction;
};
let player = new Player(game);
players.push(player);

ws.onmessage = (message) => {
	let json = JSON.parse(message.data);
	let type = json.type;
	let data = json.data;
	if (type == "init") {
		player.x = data.x;
		player.y = data.y;
		player.id = data.id
		player.color = data.color

	}
	else if (type == "update"){
		console.log(data);
		if (player.id == undefined)return;
		for (let i = 0; i< players.length; i++)players[i].updated = false;
		for (let i = 0; i < data.players.length		; i++){
			let p = players.filter (p => p.id == data.players[i].id)[0];
			if (p == undefined) { 
				p = new Player (game);
			    p.id = data.players[i].id;
			    p.x = data.players[i].x;
			    p.y = data.players[i].y;
			    p.updated = true;
			    p.color = data.players[i].color
			    players.push(p);
			}
			else {
				p.x = data.players[i].x;
			    p.y = data.players[i].y;
			    p.updated = true;
			}
		}
		for (let i = 0; i< players.length; i++){
			if (! players[i].updated){
				players[i].element.remove();
				players.splice (i, 1);
			}
		}
		game.style.top = (window.innerHeight/2-player.y + 350) + "px";
		game.style.left = (window.innerWidth/2-player.x + 650) + "px";
	}
};
setInterval(() => {
	if (player.id == undefined)return;
		ws.send(JSON.stringify({
			type:"update_direction", data: {direction: player.direction}
		}));
}, 100);


